package cn.com.qmth.examcloud.exchange.outer.api;

import cn.com.qmth.examcloud.api.commons.EnterpriseService;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterBatchSaveExamStudentReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterResetExamStudentReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterSaveExamStudentReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterUpdateExamStudentStatusReq;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterBatchSaveExamStudentResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterResetExamStudentResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterSaveExamStudentResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterUpdateExamStudentStatusResp;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年6月29日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface ExamStudentOuterService extends EnterpriseService {

	OuterSaveExamStudentResp saveExamStudent(OuterSaveExamStudentReq req);

	OuterBatchSaveExamStudentResp batchSaveExamStudent(OuterBatchSaveExamStudentReq req);

	OuterUpdateExamStudentStatusResp updateExamStudentStatus(OuterUpdateExamStudentStatusReq req);

	/**
	 * 重置考生
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	OuterResetExamStudentResp resetExamStudent(OuterResetExamStudentReq req);
}
