package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;

public class OuterUpdateExamStudentStatusReq extends EnterpriseRequest {

	private static final long serialVersionUID = -4293362630253480701L;

	@ApiModelProperty(value = "顶级机构", example = "1", required = true)
	private Long rootOrgId;

	@ApiModelProperty(value = "考试ID", example = "1", required = false)
	private Long examId;

	@ApiModelProperty(value = "考试编码", example = "1", required = false)
	private String examCode;

	@ApiModelProperty(value = "考试名称", example = "XX考试", required = false)
	private String examName;

	@ApiModelProperty(value = "学生身份证号码", example = "XXXX", required = false)
	private String identityNumber;

	@ApiModelProperty(value = "学生ID", example = "1", required = false)
	private Long studentId;

	@ApiModelProperty(value = "课程ID", example = "1", required = false)
	private Long courseId;

	@ApiModelProperty(value = "课程编码", example = "ABC", required = false)
	private String courseCode;

	@ApiModelProperty(value = "考生状态(是否可用)", example = "true", required = true)
	private Boolean enable;

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamCode() {
		return examCode;
	}

	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

}
